%define url_ver %(echo %{version} | cut -d "." -f -2)

Name:		zenity
Summary:	Call GNOME dialog boxes from the command line
Version:	3.44.0
Release:	%mkrel 1
License:	LGPLv2+
Group:		Graphical desktop/Other
URL:		https://download.gnome.org/sources/%{name}
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:  gnome-common
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	pkgconfig(libnotify) >= 0.6.1
BuildRequires:	pkgconfig(webkit2gtk-4.0)
BuildRequires:	pkgconfig(x11)
BuildRequires:	intltool >= 0.40.0
BuildRequires:	itstool
BuildRequires:	libxslt-proc
BuildRequires:	libxml2-utils
BuildRequires:	yelp-tools
Provides:	    xmsg-dialog
Obsoletes:      zenity-doc
Obsoletes:      mate-dialogs
Provides:       mate-dialogs = %{version}-%{release}

%description
Zenity allows you to display dialog boxes from the commandline and shell
scripts.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name}-0.1 --with-gnome --all-name

%files -f %name-0.1.lang
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man1/*
%{_datadir}/help

%changelog
* Thu Jan 26 2023 tex - 3.44.0-1pclos2023
- new version

* Tue Sep 27 2022 tex - 3.43.0-1pclos2022
- new version

* Sun Sep 11 2022 tex - 3.42.1-1pclos2022
- new version

* Tue Jan 11 2022 tex - 3.41.0-1pclos2022
- new version

* Mon Sep 20 2021 tex - 3.32.0-3pclos2021
- rebuild against updates

* Sat Mar 07 2020 tex - 3.32.0-2pclos2020
- rebuild against updates

* Sat Oct 04 2019 tex - 3.32.0-1pclos2019
- new version to get rid of webkit3
